Mpathic API (v1)
Download OpenAPI specification:Download
Detects behaviors in an input string.
Authorizations:
header Parameters
| mpathic-id | string Required. The mpathic ID for the request. |
| mpathic-profile | string Optional. The profile ID for the request. |
Request Body schema: application/json
The BehaviorsRequest that provides the input string and detection parameters.
| user_metadata | any or null |
| confidence_threshold | number or null <double> The confidence threshold for behaviors. |
| conversation_id | string or null The unique identifier for the conversation associated with this behaviors request, if any. |
| include_suggestions | boolean Indicates whether suggestions should be included for the detected behaviors. |
| include_tips | boolean Indicates whether tips should be included for the detected behaviors. |
| include_definitions | boolean Indicates whether definitions should be included for the detected behaviors. |
| input required | string non-empty The input string to for which to detect behaviors. |
| max_behaviors | integer or null <int32> The maximum number of behaviors to return for each utterance in the input. |
Responses
Request samples
- Payload
{- "user_metadata": null,
- "confidence_threshold": 0.5,
- "conversation_id": "string",
- "include_suggestions": false,
- "include_tips": true,
- "include_definitions": false,
- "input": "Have you completed the document for our meeting?",
- "max_behaviors": 2
}Response samples
- 200
- 400
- 401
- 500
{- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "created_at": 0,
- "detections": [
- {
- "index": 0,
- "text": "string",
- "behaviors": [
- {
- "name": "string",
- "confidence": 0.1,
- "definition": "string",
- "score": 0.1,
- "severity": 0,
- "suggestion": {
- "text": "string",
- "suggestion_type": "string"
}, - "tip": {
- "text": "string",
- "tip_type": "string"
}
}
]
}
]
}Provides analytics for conversations.
Authorizations:
header Parameters
| mpathic-id | string Required. The mpathic ID for the request. |
| mpathic-profile | string Optional. The profile ID for the request. |
Request Body schema: application/json
The ConversationsRequest that provides the conversation details.
| user_metadata | any or null |
| conversation_id | string or null |
| confidence_threshold | number or null <double> |
| include_conversation | boolean |
| include_suggestions | boolean |
| include_tips | boolean |
| include_definitions | boolean |
| include_diagnostics | boolean |
| max_behaviors | integer or null <int32> |
required | Array of objects (ConversationTalkTurn) non-empty |
Responses
Request samples
- Payload
{- "user_metadata": null,
- "conversation_id": "string",
- "confidence_threshold": 0.1,
- "include_conversation": true,
- "include_suggestions": true,
- "include_tips": true,
- "include_definitions": true,
- "include_diagnostics": true,
- "max_behaviors": 0,
- "talk_turns": [
- {
- "input": "string",
- "talk_turn_id": "string",
- "speaker": {
- "id": "string",
- "role": "string"
}, - "start_time": "string",
- "end_time": "string"
}
]
}Response samples
- 200
- 400
- 401
- 500
{- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "conversation_id": "string",
- "created_at": 0,
- "analytics": {
- "speaker_analytics": [
- {
- "id": "string",
- "role": "string",
- "analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [
- null
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- null
], - "score": 0.1
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [
- null
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- null
], - "score": 0.1
}
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}
], - "role_analytics": [
- {
- "role": "string",
- "analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [
- null
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- null
], - "score": 0.1
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [
- null
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- null
], - "score": 0.1
}
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}
], - "conversation_analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}, - "synchrony_scores": [
- {
- "calculation_type": "string",
- "identifier_one": "string",
- "identifier_two": "string",
- "synchrony_score": 0.1,
- "reason": "string"
}
]
}, - "conversation": {
- "talk_turns": [
- {
- "input": "string",
- "talk_turn_id": "string",
- "speaker": {
- "id": "string",
- "role": "string"
}, - "start_time": "string",
- "end_time": "string",
- "index": 0,
- "behavior_detections": [
- {
- "index": 0,
- "text": "string",
- "behaviors": [
- {
- "name": "string",
- "confidence": 0.1,
- "definition": "string",
- "score": 0.1,
- "severity": 0,
- "suggestion": {
- "text": "string",
- "suggestion_type": "string"
}, - "tip": {
- "text": "string",
- "tip_type": "string"
}
}
]
}
]
}
]
}
}update-conversation-metadata
Authorizations:
header Parameters
| mpathic-id | string |
| mpathic-profile | string |
Request Body schema: application/json
| conversation_id | string <uuid> |
object or null | |
| merge_existing | boolean |
Responses
Request samples
- Payload
{- "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
- "metadata": {
- "property1": "string",
- "property2": "string"
}, - "merge_existing": true
}Starts a conversations job.
Authorizations:
header Parameters
| mpathic-id | string Required. The mpathic ID for the request. |
| mpathic-profile | string Optional. The profile ID for the request. |
Request Body schema: application/json
The ConversationsRequest that provides the conversation details.
| user_metadata | any or null |
| conversation_id | string or null |
| confidence_threshold | number or null <double> |
| include_conversation | boolean |
| include_suggestions | boolean |
| include_tips | boolean |
| include_definitions | boolean |
| include_diagnostics | boolean |
| max_behaviors | integer or null <int32> |
required | Array of objects (ConversationTalkTurn) non-empty |
Responses
Request samples
- Payload
{- "user_metadata": null,
- "conversation_id": "string",
- "confidence_threshold": 0.1,
- "include_conversation": true,
- "include_suggestions": true,
- "include_tips": true,
- "include_definitions": true,
- "include_diagnostics": true,
- "max_behaviors": 0,
- "talk_turns": [
- {
- "input": "string",
- "talk_turn_id": "string",
- "speaker": {
- "id": "string",
- "role": "string"
}, - "start_time": "string",
- "end_time": "string"
}
]
}Response samples
- 200
- 400
- 401
- 500
{- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "status": "string",
- "conversations_response": {
- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "conversation_id": "string",
- "created_at": 0,
- "analytics": {
- "speaker_analytics": [
- {
- "id": "string",
- "role": "string",
- "analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}
], - "role_analytics": [
- {
- "role": "string",
- "analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}
], - "conversation_analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}, - "synchrony_scores": [
- {
- "calculation_type": "string",
- "identifier_one": "string",
- "identifier_two": "string",
- "synchrony_score": 0.1,
- "reason": "string"
}
]
}, - "conversation": {
- "talk_turns": [
- {
- "input": "string",
- "talk_turn_id": "string",
- "speaker": {
- "id": "string",
- "role": "string"
}, - "start_time": "string",
- "end_time": "string",
- "index": 0,
- "behavior_detections": [
- {
- "index": 0,
- "text": "string",
- "behaviors": [
- {
- "name": "string",
- "confidence": 0.1,
- "definition": "string",
- "score": 0.1,
- "severity": 0,
- "suggestion": {
- "text": null,
- "suggestion_type": null
}, - "tip": {
- "text": null,
- "tip_type": null
}
}
]
}
]
}
]
}
}, - "upload": {
- "type": "string",
- "part_size_bytes": 0,
- "part_count": 0,
- "urls_expire_at": "2019-08-24T14:15:22Z",
- "parts": [
- {
- "part_number": 0,
- "url": "string"
}
]
}
}Get conversations job status.
Authorizations:
path Parameters
| id required | string Conversations job ID |
header Parameters
| mpathic-id | string Required. The mpathic ID for the request. |
| mpathic-profile | string Optional. The profile ID for the request. |
Responses
Response samples
- 200
- 400
- 401
- 500
{- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "status": "string",
- "conversations_response": {
- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "conversation_id": "string",
- "created_at": 0,
- "analytics": {
- "speaker_analytics": [
- {
- "id": "string",
- "role": "string",
- "analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}
], - "role_analytics": [
- {
- "role": "string",
- "analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}
], - "conversation_analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}, - "synchrony_scores": [
- {
- "calculation_type": "string",
- "identifier_one": "string",
- "identifier_two": "string",
- "synchrony_score": 0.1,
- "reason": "string"
}
]
}, - "conversation": {
- "talk_turns": [
- {
- "input": "string",
- "talk_turn_id": "string",
- "speaker": {
- "id": "string",
- "role": "string"
}, - "start_time": "string",
- "end_time": "string",
- "index": 0,
- "behavior_detections": [
- {
- "index": 0,
- "text": "string",
- "behaviors": [
- {
- "name": "string",
- "confidence": 0.1,
- "definition": "string",
- "score": 0.1,
- "severity": 0,
- "suggestion": {
- "text": null,
- "suggestion_type": null
}, - "tip": {
- "text": null,
- "tip_type": null
}
}
]
}
]
}
]
}
}, - "upload": {
- "type": "string",
- "part_size_bytes": 0,
- "part_count": 0,
- "urls_expire_at": "2019-08-24T14:15:22Z",
- "parts": [
- {
- "part_number": 0,
- "url": "string"
}
]
}
}/v1/conversations/jobs/start-multipart
Authorizations:
header Parameters
| mpathic-id | string |
| mpathic-profile | string |
Request Body schema: application/json
| user_metadata | any or null |
| file_name required | string non-empty |
| file_size_bytes required | integer <int64> |
| content_type required | string non-empty |
| preferred_part_size_bytes | integer or null <int64> |
Responses
Request samples
- Payload
{- "user_metadata": null,
- "file_name": "string",
- "file_size_bytes": 0,
- "content_type": "string",
- "preferred_part_size_bytes": 0
}Response samples
- 200
- 400
- 401
- 500
{- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "conversation_id": "string",
- "status": "string",
- "upload": {
- "type": "string",
- "part_size_bytes": 0,
- "part_count": 0,
- "urls_expire_at": "2019-08-24T14:15:22Z",
- "parts": [
- {
- "part_number": 0,
- "url": "string"
}
]
}
}/v1/conversations/jobs/{id}/complete-multipart
Authorizations:
path Parameters
| id required | string |
header Parameters
| mpathic-id | string |
| mpathic-profile | string |
Request Body schema: application/json
| user_metadata | any or null |
Array of objects or null (ConversationsMultipartCompletePart) |
Responses
Request samples
- Payload
{- "user_metadata": null,
- "parts": [
- {
- "part_number": 0,
- "etag": "string"
}
]
}Response samples
- 200
- 400
- 401
- 404
- 409
- 500
{- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "status": "string",
- "conversations_response": {
- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "conversation_id": "string",
- "created_at": 0,
- "analytics": {
- "speaker_analytics": [
- {
- "id": "string",
- "role": "string",
- "analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}
], - "role_analytics": [
- {
- "role": "string",
- "analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}
], - "conversation_analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}, - "synchrony_scores": [
- {
- "calculation_type": "string",
- "identifier_one": "string",
- "identifier_two": "string",
- "synchrony_score": 0.1,
- "reason": "string"
}
]
}, - "conversation": {
- "talk_turns": [
- {
- "input": "string",
- "talk_turn_id": "string",
- "speaker": {
- "id": "string",
- "role": "string"
}, - "start_time": "string",
- "end_time": "string",
- "index": 0,
- "behavior_detections": [
- {
- "index": 0,
- "text": "string",
- "behaviors": [
- {
- "name": "string",
- "confidence": 0.1,
- "definition": "string",
- "score": 0.1,
- "severity": 0,
- "suggestion": {
- "text": null,
- "suggestion_type": null
}, - "tip": {
- "text": null,
- "tip_type": null
}
}
]
}
]
}
]
}
}, - "upload": {
- "type": "string",
- "part_size_bytes": 0,
- "part_count": 0,
- "urls_expire_at": "2019-08-24T14:15:22Z",
- "parts": [
- {
- "part_number": 0,
- "url": "string"
}
]
}
}/v1/conversations/jobs/{id}/cancel-multipart
Authorizations:
path Parameters
| id required | string |
header Parameters
| mpathic-id | string |
| mpathic-profile | string |
Request Body schema: application/json
| user_metadata | any or null |
| reason | string or null |
Responses
Request samples
- Payload
{- "user_metadata": null,
- "reason": "string"
}Response samples
- 200
- 400
- 401
- 404
- 500
{- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "status": "string",
- "conversations_response": {
- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "conversation_id": "string",
- "created_at": 0,
- "analytics": {
- "speaker_analytics": [
- {
- "id": "string",
- "role": "string",
- "analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}
], - "role_analytics": [
- {
- "role": "string",
- "analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [ ],
- "score": null
}, - "property2": {
- "contributing_behaviors": [ ],
- "score": null
}
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}
], - "conversation_analytics": {
- "utterance_count": 0,
- "talk_turn_count": 0,
- "behavior_counts": {
- "property1": 0,
- "property2": 0
}, - "frequencies": {
- "property1": 0.1,
- "property2": 0.1
}, - "metrics": {
- "collaboration": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "curiosity": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "empathy": {
- "contributing_behaviors": [
- {
- "behavior": "string",
- "count": 0,
- "weight_on_score": 0.1,
- "influence_on_score": "string"
}
], - "score": 0.1
}, - "metric_groups": {
- "property1": {
- "property1": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}
}, - "property2": {
- "property1": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}, - "property2": {
- "contributing_behaviors": [
- {
- "behavior": null,
- "count": null,
- "weight_on_score": null,
- "influence_on_score": null
}
], - "score": 0.1
}
}
}
}, - "action_items": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "fidelity": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "checklist": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "highlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "lowlights": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
], - "safety": [
- {
- "id": "string",
- "detection_id": "string",
- "pattern_detector_id": "string",
- "title": "string",
- "definition": "string",
- "display_order": 0,
- "tip": "string",
- "example": "string",
- "behaviors": [
- "string"
], - "status": 0,
- "reason": 0,
- "talk_turns": [
- {
- "index": 0,
- "talk_turn_id": "string",
- "start_time": "string",
- "end_time": "string"
}
], - "approval_status_name": "string",
- "can_approve": true
}
]
}, - "synchrony_scores": [
- {
- "calculation_type": "string",
- "identifier_one": "string",
- "identifier_two": "string",
- "synchrony_score": 0.1,
- "reason": "string"
}
]
}, - "conversation": {
- "talk_turns": [
- {
- "input": "string",
- "talk_turn_id": "string",
- "speaker": {
- "id": "string",
- "role": "string"
}, - "start_time": "string",
- "end_time": "string",
- "index": 0,
- "behavior_detections": [
- {
- "index": 0,
- "text": "string",
- "behaviors": [
- {
- "name": "string",
- "confidence": 0.1,
- "definition": "string",
- "score": 0.1,
- "severity": 0,
- "suggestion": {
- "text": null,
- "suggestion_type": null
}, - "tip": {
- "text": null,
- "tip_type": null
}
}
]
}
]
}
]
}
}, - "upload": {
- "type": "string",
- "part_size_bytes": 0,
- "part_count": 0,
- "urls_expire_at": "2019-08-24T14:15:22Z",
- "parts": [
- {
- "part_number": 0,
- "url": "string"
}
]
}
}Uploads a multipart streamed file.
Authorizations:
header Parameters
| mpathic-id | string Required. The mpathic-id for the upload request. |
| mpathic-profile | string Optional. The mpathic-profile for the upload request. |
Request Body schema: multipart/form-data
| file_id | string Optional. The file_id for the request. If provided, it should be a UUID as specified by RFC 4122. |
| user_metadata | string The user_metadata for the request, which should be a valid JSON document. |
Responses
Response samples
- 200
- 400
- 401
- 500
{- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "file_id": "string",
- "message": "string"
}Imports a recording from Zoom and uploads it as a file.
Authorizations:
header Parameters
| mpathic-id | string Required. The mpathic-id for the upload request. |
| mpathic-profile | string Optional. The mpathic-profile for the upload request. |
Request Body schema:
The Zoom import request containing the recording details.
| credentials_id | string or null The Zoom credentials ID to use for the import. |
| meeting_id | string or null The Zoom meeting ID. |
| recording_file_id | string or null The Zoom recording file ID. |
| user_metadata | any or null Optional user metadata for the file. |
Responses
Request samples
- Payload
{- "credentials_id": "string",
- "meeting_id": "string",
- "recording_file_id": "string",
- "user_metadata": null
}Response samples
- 200
- 400
- 401
- 500
{- "file_id": "string",
- "message": "string",
- "user_metadata": null
}Provides information about your default or specified mpathic profile.
Authorizations:
header Parameters
| mpathic-id | string Required. The mpathic ID for the request. |
| mpathic-profile | string Optional. The profile ID for the request. |
Request Body schema: application/json
Optional. Filters for the profile request.
| user_metadata | any or null |
| role | string or null Optional role for determining active behaviors. |
| metadata | any or null Optional metadata for determining active behaviors. |
Responses
Request samples
- Payload
{- "user_metadata": null,
- "role": "string",
- "metadata": null
}Response samples
- 200
- 400
- 401
- 500
{- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "created_at": 0,
- "allow_suggestions": true,
- "allow_tips": true,
- "behaviors": [
- {
- "name": "string",
- "definition": "string",
- "category": "string"
}
], - "profile_id": "string"
}Gets an authorization bearer token for the specified credentials.
header Parameters
| mpathic-id | string Required. The mpathic ID for the request. |
Request Body schema: application/json
The TokenRequest that provides the information required to obtain a token.
| user_metadata | any or null |
| grant_type required | string non-empty The grant type being requested. |
| client_id required | string non-empty The client ID for the token request. |
| client_secret required | string non-empty The client secret for the token request. |
Responses
Request samples
- Payload
{- "user_metadata": null,
- "grant_type": "client_credentials",
- "client_id": "...",
- "client_secret": "..."
}Response samples
- 200
- 400
- 401
- 500
{- "id": "string",
- "user_metadata": null,
- "api_version": "string",
- "access_token": "string",
- "expires_in": 0,
- "token_type": "string"
}